Bug 180441 - [patch] updates to port for textproc/metaf2xml 1.52+
Summary: [patch] updates to port for textproc/metaf2xml 1.52+
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Johannes Jost Meixner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-10 17:30 UTC by metaf2xml
Modified: 2014-06-30 05:46 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (3.85 KB, patch)
2013-07-10 17:30 UTC, metaf2xml
no flags Details | Diff
metaf2xml.327773.diff.txt (4.18 KB, text/plain; charset=us-ascii)
2014-01-10 19:41 UTC, metaf2xml
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description metaf2xml 2013-07-10 17:30:00 UTC
Please apply the changes described below to the files for metaf2xml 1.52
(or later versions).
If a change does not meet the requirements from the Porter's Handbook,
feel free to adapt or drop it.

Master Sites
=============

The URL for downloads has changed to:

http://<mirror>.dl.sourceforge.net/project/metaf2xml/<version>/metaf2xml-<version>.tgz

e.g. for the current version:

http://kent.dl.sourceforge.net/project/metaf2xml/1.52/metaf2xml-1.52.tgz

Makefile
========

I added some changes to the Makefile in the patch.

I don't know if the target pre-install is really required. It creates
$CGI_BIN_DIR and $HTDOCS_DIR, but this is also done by install.pl and
it should not be necessary to do it separately.

There is one more file, metaf2xml-$VERSION-apache.conf, an example
configuration for Apache. I assume the correct target directory is
%%APACHEETCDIR%%/Includes .

I found the project p5-Geo-METAR-1.15 with the categories Geography,
Astro, Perl5 and py26-metar-0.17 with Geography, Astro, Python. Both do
approximately the same as metaf2xml. However, metaf2xml has the category
textproc, together with aspell, diffutils, OpenOffice and similar
programs. Wouldn't the categories of p5-Geo-METAR-1.15 be more
appropriate (except I'm not sure about the Astro)?
But probably moving a port to a different subdirectory is a major change
with a lot of effort ...

pgk-descr
=========

I added some changes to the pgk-descr in the patch.

The first paragraph of the description (from the README) describes the
main goal of the project, the second one describes additional components
which are absolutely required for end users. So while it would be
possible to omit the second paragraph if requirements command it, the
project would maybe not reach as many end users as it could.

pkg-plist
=========

There are some files missing in the list, and one is obsolete.
I added some changes to the pgk-plist in the patch.

One more question regarding dependencies:

Depending on how it is used, the perl script metaf.pl requires one or
more of curl, xsltproc, and a Web server (tested: Apache) during
runtime; maybe one or the other dependency should be added.

Thank you very much for maintaining this port. If you need anything
changed to make your work easier, just say so.

Kind regards,
Thomas

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-07-10 21:43:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 metaf2xml 2014-01-10 19:41:36 UTC
Enclosed is a new patch. The inital one in this PR is obsolete. The new
patch has the following changes compared to the initial patch:

- bring patch for Makefile up-to-date: since this PR was opened,
  revision 326941 reflects changes to the Perl framework, revision
  327773 added NO_STAGE
- bump PORTREVISION to 1.54 (pkg-descr, distinfo, Makefile)
- fix patch for Makefile, pkg-plist: install docs to DOCSDIR
- fix patch for pkg-plist: some files were missing, some wrongly
  included
- change patch for Makefile: the primary category is science (better
  categories would be weather / climatology / meteorology, but they
  don't exist)

Please apply the new patch. Thanks!
Comment 3 commit-hook freebsd_committer 2014-06-30 05:45:49 UTC
A commit references this bug:

Author: xmj
Date: Mon Jun 30 05:44:50 UTC 2014
New revision: 359801
URL: http://svnweb.freebsd.org/changeset/ports/359801

Log:
  textproc/metaf2xml: Upgrade to 1.55

  - Upgrade to 1.55
  - Move from textproc to science
  - Introduce conditional run dependency on Apache
  - Introduce perl install dependency
  - Improve comment and pkg-descr
  - Stagify
  - Pet portlint

  PR: 180441
  Submitted by: Thomas <metaf2xml@users.sourceforge.net>
  Approved by: maintainer timeout (clsung, 50 weeks)
  Approved by: swills (mentor)

Changes:
  head/MOVED
  head/science/Makefile
  head/science/metaf2xml/
  head/science/metaf2xml/Makefile
  head/science/metaf2xml/distinfo
  head/science/metaf2xml/files/
  head/science/metaf2xml/files/patch-Makefile
  head/science/metaf2xml/pkg-descr
  head/science/metaf2xml/pkg-plist
  head/textproc/Makefile
  head/textproc/metaf2xml/
Comment 4 Johannes Jost Meixner freebsd_committer 2014-06-30 05:46:54 UTC
Committed, with minor changes. Thanks!